\name{LoadDataFile}
\alias{LoadDataFile}
\title{
  Load Data From File Into Environment
}
\description{
  This function loads into its run environment the data corresponding to the current file (filename variable), regrids it if needed and puts it in the internal common format in the variable named tmp.
}
\usage{
  LoadDataFile(dataset_type)
}
\arguments{
  \item{dataset_type}{
    Character string specifying whether it is an experimental or observational file (values: 'exp'/'obs')
  }
}
\value{
  Extended environment with some updated variables:
  - argfiles
  - filename
  - grid
  - lon
  - lat
  - tmp
  - lat_mod
  - lon_mod
  - nmemb
}
\examples{
  LoadDataFile('exp')
}
\author{
  History:
  0.1  -  2015-01  (N. Manubens, \email{nicolau.manubens@ic3.cat})  -  First version
}
\keyword{datagen}
